package cn.com.countrygarden.bi.main.model.twerp.hm;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;

@Table(name = "Tb_DeskTop_经营主题")
public class TbDesktop经营主题 {
    @Id
    @Column(name = "IID")
    private String iid;

    @Column(name = "SortID")
    private Long sortid;

    @Column(name = "CommID")
    private Integer commid;

    @Column(name = "CommName")
    private String commname;

    @Column(name = "OrganCode")
    private String organcode;

    @Column(name = "OrganName")
    private String organname;

    @Column(name = "OrganManagePhoto")
    private String organmanagephoto;

    @Column(name = "StatYear")
    private Integer statyear;

    @Column(name = "StatMonth")
    private Integer statmonth;

    private BigDecimal 年初往年欠费;

    private BigDecimal 年初往年已收欠费;

    private BigDecimal 年初往年应收未收欠费;

    private BigDecimal 年初空置欠费;

    private BigDecimal 本年理论应收;

    private BigDecimal 本月应收;

    private BigDecimal 本月实收;

    private BigDecimal 本年累计追缴金额;

    private BigDecimal 本年累计追缴率;

    private BigDecimal 本年累计追缴已收金额;

    private BigDecimal 本年累计追缴已收追缴率;

    private BigDecimal 本年累计追缴应收未收金额;

    private BigDecimal 本年累计追缴应收未收追缴率;

    private BigDecimal 本年累计追缴空置金额;

    private BigDecimal 本年累计追缴空置追缴率;

    private BigDecimal 本年累计实收;

    private BigDecimal 车位数量;

    private BigDecimal 车位收入;

    private BigDecimal 车辆数量;

    private BigDecimal 本年已收应收;

    private BigDecimal 本年已收实收;

    private BigDecimal 本年已收收费率;

    private BigDecimal 本年应收未收应收;

    private BigDecimal 本年应收未收实收;

    private BigDecimal 本年应收未收收费率;

    private BigDecimal 本年空置应收;

    private BigDecimal 本年空置实收;

    private BigDecimal 本年空置收费率;

    private BigDecimal 本年综合应收;

    private BigDecimal 本年综合实收;

    private BigDecimal 本年综合收费率;

    private BigDecimal 本年前期欠费;

    private BigDecimal 回收本年前期欠费;

    private BigDecimal 本年欠费追缴率;

    /**
     * 本年累计追缴率目标值
     */
    private Float recoveryrate;
    /**
     * 本年综合收费率目标值
     */
    private Float chargerate;
    /**
     * 本年欠费追缴率目标值
     */
    private Float arrearsrecoveryrate;

    /**
     * @return IID
     */
    public String getIid() {
        return iid;
    }

    /**
     * @param iid
     */
    public void setIid(String iid) {
        this.iid = iid;
    }

    /**
     * @return SortID
     */
    public Long getSortid() {
        return sortid;
    }

    /**
     * @param sortid
     */
    public void setSortid(Long sortid) {
        this.sortid = sortid;
    }

    /**
     * @return CommID
     */
    public Integer getCommid() {
        return commid;
    }

    /**
     * @param commid
     */
    public void setCommid(Integer commid) {
        this.commid = commid;
    }

    /**
     * @return CommName
     */
    public String getCommname() {
        return commname;
    }

    /**
     * @param commname
     */
    public void setCommname(String commname) {
        this.commname = commname;
    }

    /**
     * @return OrganCode
     */
    public String getOrgancode() {
        return organcode;
    }

    /**
     * @param organcode
     */
    public void setOrgancode(String organcode) {
        this.organcode = organcode;
    }

    /**
     * @return OrganName
     */
    public String getOrganname() {
        return organname;
    }

    /**
     * @param organname
     */
    public void setOrganname(String organname) {
        this.organname = organname;
    }

    /**
     * @return OrganManagePhoto
     */
    public String getOrganmanagephoto() {
        return organmanagephoto;
    }

    /**
     * @param organmanagephoto
     */
    public void setOrganmanagephoto(String organmanagephoto) {
        this.organmanagephoto = organmanagephoto;
    }

    /**
     * @return StatYear
     */
    public Integer getStatyear() {
        return statyear;
    }

    /**
     * @param statyear
     */
    public void setStatyear(Integer statyear) {
        this.statyear = statyear;
    }

    /**
     * @return StatMonth
     */
    public Integer getStatmonth() {
        return statmonth;
    }

    /**
     * @param statmonth
     */
    public void setStatmonth(Integer statmonth) {
        this.statmonth = statmonth;
    }

    /**
     * @return 年初往年欠费
     */
    public BigDecimal get年初往年欠费() {
        return 年初往年欠费;
    }

    /**
     * @param 年初往年欠费
     */
    public void set年初往年欠费(BigDecimal 年初往年欠费) {
        this.年初往年欠费 = 年初往年欠费;
    }

    /**
     * @return 年初往年已收欠费
     */
    public BigDecimal get年初往年已收欠费() {
        return 年初往年已收欠费;
    }

    /**
     * @param 年初往年已收欠费
     */
    public void set年初往年已收欠费(BigDecimal 年初往年已收欠费) {
        this.年初往年已收欠费 = 年初往年已收欠费;
    }

    /**
     * @return 年初往年应收未收欠费
     */
    public BigDecimal get年初往年应收未收欠费() {
        return 年初往年应收未收欠费;
    }

    /**
     * @param 年初往年应收未收欠费
     */
    public void set年初往年应收未收欠费(BigDecimal 年初往年应收未收欠费) {
        this.年初往年应收未收欠费 = 年初往年应收未收欠费;
    }

    /**
     * @return 年初空置欠费
     */
    public BigDecimal get年初空置欠费() {
        return 年初空置欠费;
    }

    /**
     * @param 年初空置欠费
     */
    public void set年初空置欠费(BigDecimal 年初空置欠费) {
        this.年初空置欠费 = 年初空置欠费;
    }

    /**
     * @return 本年理论应收
     */
    public BigDecimal get本年理论应收() {
        return 本年理论应收;
    }

    /**
     * @param 本年理论应收
     */
    public void set本年理论应收(BigDecimal 本年理论应收) {
        this.本年理论应收 = 本年理论应收;
    }

    /**
     * @return 本月应收
     */
    public BigDecimal get本月应收() {
        return 本月应收;
    }

    /**
     * @param 本月应收
     */
    public void set本月应收(BigDecimal 本月应收) {
        this.本月应收 = 本月应收;
    }

    /**
     * @return 本月实收
     */
    public BigDecimal get本月实收() {
        return 本月实收;
    }

    /**
     * @param 本月实收
     */
    public void set本月实收(BigDecimal 本月实收) {
        this.本月实收 = 本月实收;
    }

    /**
     * @return 本年累计追缴金额
     */
    public BigDecimal get本年累计追缴金额() {
        return 本年累计追缴金额;
    }

    /**
     * @param 本年累计追缴金额
     */
    public void set本年累计追缴金额(BigDecimal 本年累计追缴金额) {
        this.本年累计追缴金额 = 本年累计追缴金额;
    }

    /**
     * @return 本年累计追缴率
     */
    public BigDecimal get本年累计追缴率() {
        return 本年累计追缴率;
    }

    /**
     * @param 本年累计追缴率
     */
    public void set本年累计追缴率(BigDecimal 本年累计追缴率) {
        this.本年累计追缴率 = 本年累计追缴率;
    }

    /**
     * @return 本年累计追缴已收金额
     */
    public BigDecimal get本年累计追缴已收金额() {
        return 本年累计追缴已收金额;
    }

    /**
     * @param 本年累计追缴已收金额
     */
    public void set本年累计追缴已收金额(BigDecimal 本年累计追缴已收金额) {
        this.本年累计追缴已收金额 = 本年累计追缴已收金额;
    }

    /**
     * @return 本年累计追缴已收追缴率
     */
    public BigDecimal get本年累计追缴已收追缴率() {
        return 本年累计追缴已收追缴率;
    }

    /**
     * @param 本年累计追缴已收追缴率
     */
    public void set本年累计追缴已收追缴率(BigDecimal 本年累计追缴已收追缴率) {
        this.本年累计追缴已收追缴率 = 本年累计追缴已收追缴率;
    }

    /**
     * @return 本年累计追缴应收未收金额
     */
    public BigDecimal get本年累计追缴应收未收金额() {
        return 本年累计追缴应收未收金额;
    }

    /**
     * @param 本年累计追缴应收未收金额
     */
    public void set本年累计追缴应收未收金额(BigDecimal 本年累计追缴应收未收金额) {
        this.本年累计追缴应收未收金额 = 本年累计追缴应收未收金额;
    }

    /**
     * @return 本年累计追缴应收未收追缴率
     */
    public BigDecimal get本年累计追缴应收未收追缴率() {
        return 本年累计追缴应收未收追缴率;
    }

    /**
     * @param 本年累计追缴应收未收追缴率
     */
    public void set本年累计追缴应收未收追缴率(BigDecimal 本年累计追缴应收未收追缴率) {
        this.本年累计追缴应收未收追缴率 = 本年累计追缴应收未收追缴率;
    }

    /**
     * @return 本年累计追缴空置金额
     */
    public BigDecimal get本年累计追缴空置金额() {
        return 本年累计追缴空置金额;
    }

    /**
     * @param 本年累计追缴空置金额
     */
    public void set本年累计追缴空置金额(BigDecimal 本年累计追缴空置金额) {
        this.本年累计追缴空置金额 = 本年累计追缴空置金额;
    }

    /**
     * @return 本年累计追缴空置追缴率
     */
    public BigDecimal get本年累计追缴空置追缴率() {
        return 本年累计追缴空置追缴率;
    }

    /**
     * @param 本年累计追缴空置追缴率
     */
    public void set本年累计追缴空置追缴率(BigDecimal 本年累计追缴空置追缴率) {
        this.本年累计追缴空置追缴率 = 本年累计追缴空置追缴率;
    }

    /**
     * @return 本年累计实收
     */
    public BigDecimal get本年累计实收() {
        return 本年累计实收;
    }

    /**
     * @param 本年累计实收
     */
    public void set本年累计实收(BigDecimal 本年累计实收) {
        this.本年累计实收 = 本年累计实收;
    }

    /**
     * @return 车位数量
     */
    public BigDecimal get车位数量() {
        return 车位数量;
    }

    /**
     * @param 车位数量
     */
    public void set车位数量(BigDecimal 车位数量) {
        this.车位数量 = 车位数量;
    }

    /**
     * @return 车位收入
     */
    public BigDecimal get车位收入() {
        return 车位收入;
    }

    /**
     * @param 车位收入
     */
    public void set车位收入(BigDecimal 车位收入) {
        this.车位收入 = 车位收入;
    }

    /**
     * @return 车辆数量
     */
    public BigDecimal get车辆数量() {
        return 车辆数量;
    }

    /**
     * @param 车辆数量
     */
    public void set车辆数量(BigDecimal 车辆数量) {
        this.车辆数量 = 车辆数量;
    }

    /**
     * @return 本年已收应收
     */
    public BigDecimal get本年已收应收() {
        return 本年已收应收;
    }

    /**
     * @param 本年已收应收
     */
    public void set本年已收应收(BigDecimal 本年已收应收) {
        this.本年已收应收 = 本年已收应收;
    }

    /**
     * @return 本年已收实收
     */
    public BigDecimal get本年已收实收() {
        return 本年已收实收;
    }

    /**
     * @param 本年已收实收
     */
    public void set本年已收实收(BigDecimal 本年已收实收) {
        this.本年已收实收 = 本年已收实收;
    }

    /**
     * @return 本年已收收费率
     */
    public BigDecimal get本年已收收费率() {
        return 本年已收收费率;
    }

    /**
     * @param 本年已收收费率
     */
    public void set本年已收收费率(BigDecimal 本年已收收费率) {
        this.本年已收收费率 = 本年已收收费率;
    }

    /**
     * @return 本年应收未收应收
     */
    public BigDecimal get本年应收未收应收() {
        return 本年应收未收应收;
    }

    /**
     * @param 本年应收未收应收
     */
    public void set本年应收未收应收(BigDecimal 本年应收未收应收) {
        this.本年应收未收应收 = 本年应收未收应收;
    }

    /**
     * @return 本年应收未收实收
     */
    public BigDecimal get本年应收未收实收() {
        return 本年应收未收实收;
    }

    /**
     * @param 本年应收未收实收
     */
    public void set本年应收未收实收(BigDecimal 本年应收未收实收) {
        this.本年应收未收实收 = 本年应收未收实收;
    }

    /**
     * @return 本年应收未收收费率
     */
    public BigDecimal get本年应收未收收费率() {
        return 本年应收未收收费率;
    }

    /**
     * @param 本年应收未收收费率
     */
    public void set本年应收未收收费率(BigDecimal 本年应收未收收费率) {
        this.本年应收未收收费率 = 本年应收未收收费率;
    }

    /**
     * @return 本年空置应收
     */
    public BigDecimal get本年空置应收() {
        return 本年空置应收;
    }

    /**
     * @param 本年空置应收
     */
    public void set本年空置应收(BigDecimal 本年空置应收) {
        this.本年空置应收 = 本年空置应收;
    }

    /**
     * @return 本年空置实收
     */
    public BigDecimal get本年空置实收() {
        return 本年空置实收;
    }

    /**
     * @param 本年空置实收
     */
    public void set本年空置实收(BigDecimal 本年空置实收) {
        this.本年空置实收 = 本年空置实收;
    }

    /**
     * @return 本年空置收费率
     */
    public BigDecimal get本年空置收费率() {
        return 本年空置收费率;
    }

    /**
     * @param 本年空置收费率
     */
    public void set本年空置收费率(BigDecimal 本年空置收费率) {
        this.本年空置收费率 = 本年空置收费率;
    }

    /**
     * @return 本年综合应收
     */
    public BigDecimal get本年综合应收() {
        return 本年综合应收;
    }

    /**
     * @param 本年综合应收
     */
    public void set本年综合应收(BigDecimal 本年综合应收) {
        this.本年综合应收 = 本年综合应收;
    }

    /**
     * @return 本年综合实收
     */
    public BigDecimal get本年综合实收() {
        return 本年综合实收;
    }

    /**
     * @param 本年综合实收
     */
    public void set本年综合实收(BigDecimal 本年综合实收) {
        this.本年综合实收 = 本年综合实收;
    }

    /**
     * @return 本年综合收费率
     */
    public BigDecimal get本年综合收费率() {
        return 本年综合收费率;
    }

    /**
     * @param 本年综合收费率
     */
    public void set本年综合收费率(BigDecimal 本年综合收费率) {
        this.本年综合收费率 = 本年综合收费率;
    }

    /**
     * @return 本年前期欠费
     */
    public BigDecimal get本年前期欠费() {
        return 本年前期欠费;
    }

    /**
     * @param 本年前期欠费
     */
    public void set本年前期欠费(BigDecimal 本年前期欠费) {
        this.本年前期欠费 = 本年前期欠费;
    }

    /**
     * @return 回收本年前期欠费
     */
    public BigDecimal get回收本年前期欠费() {
        return 回收本年前期欠费;
    }

    /**
     * @param 回收本年前期欠费
     */
    public void set回收本年前期欠费(BigDecimal 回收本年前期欠费) {
        this.回收本年前期欠费 = 回收本年前期欠费;
    }

    /**
     * @return 本年欠费追缴率
     */
    public BigDecimal get本年欠费追缴率() {
        return 本年欠费追缴率;
    }

    /**
     * @param 本年欠费追缴率
     */
    public void set本年欠费追缴率(BigDecimal 本年欠费追缴率) {
        this.本年欠费追缴率 = 本年欠费追缴率;
    }

    public Float getRecoveryrate() {
        return recoveryrate;
    }

    public void setRecoveryrate(Float recoveryrate) {
        this.recoveryrate = recoveryrate;
    }

    public Float getChargerate() {
        return chargerate;
    }

    public void setChargerate(Float chargerate) {
        this.chargerate = chargerate;
    }

    public Float getArrearsrecoveryrate() {
        return arrearsrecoveryrate;
    }

    public void setArrearsrecoveryrate(Float arrearsrecoveryrate) {
        this.arrearsrecoveryrate = arrearsrecoveryrate;
    }
}